package nxm.sys.test;

import nxm.sys.lib.Primitive;
import nxm.sys.lib.Time;
import nxm.sys.libg.MidasBean;

/**  Class to test a piped resource hanging when called from a MidasBean. See
     also:
     <pre>
       Bug 2686 MidasBean / Command / BaseFile: BaseFile.waitForFile() causes
       infinite loop when used with MidasBean
     </pre>
     @author J Nuanes / J Bauer
 */
public class testbeanpipehangbean extends Primitive {

  /** default constructor */
  public testbeanpipehangbean () {}

  @Override
  public int process () {
    MidasBean bean = MidasBean.createBean(M, "testbeanpipehangprim", null, "beanid");
    Time.sleep(1.0);
    bean.close();
    //Time.sleep(6.0);  // no delay necessary- JWB
    return FINISH;
  }
}
